octonet - Segnalazione #233

Upgrade: upgrade Scheduled at 2017-04-18 14:46:46 Not completed yet
04/19/2017 09:10 AM - Michael Guggenberg

Status: Risolto Start date: 04/19/2017
Priority: Normale Due date:

Assignee: TRUELITE % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
Un distupgrade schedulato attravarso octonet non parte sui clients

upgrade test1 toggle dist-upgrade (upgrade)
upgrade test2 toggle dist-upgrade (upgrade)
upgrade test3 toggle dist-upgrade (upgrade)
upgrade test4 toggle dist-upgrade (upgrade)
upgrade testb toggle dist-upgrade (upgrade)

Upgrade: upgrade

Scheduled at 2017-04-18 14:46:46 Not completed yet
Host list

Search:

Name Started Ended Result
testt - - -

test2 - - -

test3 - - -

testd - - -

tests - - -

Showing 1 to 5 of 5 entries

Related issues:

Related to fuss-client - Segnalazione #235: installazione octofuss-client Risolto 04/19/2017
Related to octofuss-client - Segnalazione #291: Configurazione server Chiuso 06/08/2017
History

#1 - 04/19/2017 11:15 AM - Michael Guggenberg
- Assignee set to TRUELITE

#2 - 04/19/2017 11:22 AM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from TRUELITE to Michael Guggenberg

Ciao Michael,

puoi cortesemente fornirmi la versione dei pacchetti fuss-client e octofuss-client presenti sui client collegati?

#3 - 04/19/2017 11:39 AM - Michael Guggenberg

- File fc_test1.log added

root@test1:~# dpkg -I fuss-client
Voluto=U (non noto)/I (installato)/R (rimosso)/P (rimosso totale)/H (in attesa) |

Stato=Non/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/ Err?=(nessuno)/R (reinstallazione richiesta) (Stato,Err:

maiuscolo=grave) ||/ Nome Versione Architettura Descrizione
ii fuss-client 8.0.2 all Connect a workstation to a FUSS Server
root@test1:~# dpkg -l octofuss-client
dpkg-query: nessun pacchetto corrispondente a octofuss-client

Allego l'output di fuss-client -a -g test1

#4 - 04/19/2017 11:42 AM - Christopher R. Gabriel

Ok, manca octofuss-client, che e' quello che si occupa di interagire con octofussd ed eseguire le operazioni (tra cui gli upgrade).

Come €' stato installato il client? Da ISO, da zero.. ?

#5 - 04/19/2017 11:46 AM - Michael Guggenberg
da fuss-client-jessie-amd64-201703221535.iso

#6 - 04/19/2017 11:58 AM - Christopher R. Gabriel

Ok, intanto apro ticket specifico, puoi installare octofuss-client e verificare che completi i task?

#7 - 04/19/2017 12:29 PM - Michael Guggenberg

installato octofuss-client su test1
riavviato il servizio su server e su test1

il job schedulato per ora non & stato eseguito

upgrade dist-upgrade 2017-04-18 14:46:46 - 5

#8 - 04/19/2017 03:31 PM - Michael Guggenberg

- Related to Segnalazione #235: installazione octofuss-client added

#9 - 04/19/2017 03:49 PM - Michael Guggenberg

fuss-client 8.0.3
octofuss-client 8.0.6-1

root@test1:~# systemctl -| status octofuss-client.service

e octofuss-client.service - Octofuss Client
Loaded: loaded (/lib/systemd/system/octofuss-client.service; enabled)
Active: failed (Result: start-limit) since mer 2017-04-19 15:48:29 CEST; 4s ago
Docs: https://work.fuss.bz.it/projects/octofuss-client/
Process: 983 ExecStop=/bin/kill -s TERM $MAINPID (code=exited, status=0/SUCCESS)
Process: 981 ExecStart=/usr/bin/twistd3 -noy /usr/sbin/octofuss-client --logfile=/var/log/octofuss/octofuss-client.log
--pidfile=/var/run/octofuss-client.pid (code=exited, status=203/EXEC)
Main PID: 981 (code=exited, status=203/EXEC)

apr 19 15:48:29 test1 systemd: Unit octofuss-client.service entered failed state.

apr 19 15:48:29 test1 systemd": octofuss-client.service holdoff time over, scheduling restart.

apr 19 15:48:29 test1 systemd': Stopping Octofuss Client...

apr 19 15:48:29 test1 systemd': Starting Octofuss Client...

apr 19 15:48:29 test1 systemd: octofuss-client.service start request repeated too quickly, refusing to start.
apr 19 15:48:29 test1 systemd': Failed to start Octofuss Client.

apr 19 15:48:29 test1 systemd": Unit octofuss-client.service entered failed state.
https://work.fuss.bz.it/projects/octofuss-client/

#10 - 04/19/2017 04:10 PM - Michael Guggenberg

-bash: /usr/bin/twistd3: File o directory non esistente

e octofuss-client.service - Octofuss Client
Loaded: loaded (/lib/systemd/system/octofuss-client.service; enabled)
Active: active (running) since mer 2017-04-19 16:10:08 CEST; 413ms ago
Docs: https://work.fuss.bz.it/projects/octofuss-client/
Process: 2127 ExecStop=/bin/kill -s TERM $MAINPID (code=exited, status=0/SUCCESS)
Main PID: 2133 (twistd3)
CGroup: /system.slice/octofuss-client.service

*-2138 /usr/bin/python3 /usr/bin/twistd3 -noy /usr/sbin/octofuss-client --logfile=/var/log/octofuss/octofuss-client.log

--pidfile=/var/run/octofuss-client.pid

#11 - 04/19/2017 04:20 PM - Michael Guggenberg

Unhandled Error

Traceback (most recent call last):

File "/usr/lib/python3/dist-packages/twisted/application/app.py", line 643, in run
runApp(config)

File "/usr/lib/python3/dist-packages/twisted/scripts/twistd.py", line 25, in runApp
_SomeApplicationRunner(config).run()

File "/usr/lib/python3/dist-packages/twisted/application/app.py", line 374, in run
self.application = self.createOrGetApplication()

File "/usr/lib/python3/dist-packages/twisted/application/app.py", line 439, in createOrGetApplication
application = getApplication(self.config, passphrase)

--- <exception caught here> ---

File "/usr/lib/python3/dist-packages/twisted/application/app.py"”, line 450, in getApplication
application = service.loadApplication(filename, style, passphrase)

File "/usr/lib/python3/dist-packages/twisted/application/service.py", line 411, in loadApplication
passphrase)

File "/usr/lib/python3/dist-packages/twisted/persisted/sob.py", line 224, in loadValueFromFile
eval(codeObj, d, d)

File "/usr/sbin/octofuss-client", line 17, in <module>

from octofussclient import OctofussClient

builtins.ImportError: No module named 'octofussclient’

#12 - 04/28/2017 01:11 PM - Elena Grandi

- Assignee changed from Michael Guggenberg to Elena Grandi

#13 - 04/28/2017 02:50 PM - Elena Grandi

- Assignee changed from Elena Grandi to Michael Guggenberg
Uploadata nuova versione di octofuss-client (8.0.7-1) che mi pare risolva i problemi segnalati, testabile.

#14 - 05/02/2017 12:39 PM - Michael Guggenberg
- File Screenshot - 05022017 - 12_23_34 PM.png added
- File Screenshot - 05022017 - 12_23_46 PM.png added

- File octofuss_client_logs.tar.gz added

octofuss-clienti 8.0.7-1
systemctl -| status octofuss-client

® octofuss-client.service - Octofuss Client
Loaded: loaded (/lib/systemd/system/octofuss-client.service; enabled)
Active: active (running) since mar 2017-05-02 11:51:53 CEST; 43min ago
Docs: https://work.fuss.bz.it/projects/octofuss-client/
Main PID: 487 (twistd3)
CGroup: /system.slice/octofuss-client.service
*-487 /usr/bin/python3 /usr/bin/twistd3 -noy /usr/sbin/octofuss-client --logfile=/var/log/octofuss/octofuss-client.log
--pidfile=/var/run/octofuss-client.pid

mag 02 12:12:14 test1 twistd3*2”: WARNING USING CONF FILE /etc/octofuss-client/server.conf
mag 02 12:12:14 test1 twistd3*Z: WARNING
mag 02 12:17:14 test1 twistd3*®”: WARNING USING CONF FILE /etc/octofuss-client/server.conf
mag 02 12:17:14 test1 twistd3*2”: WARNING
mag 02 12:22:14 test1 twistd3*2”: WARNING USING CONF FILE /etc/octofuss-client/server.conf
mag 02 12:22:14 test1 twistd3*®”: WARNING
mag 02 12:27:14 test1 twistd3*2”: WARNING USING CONF FILE /etc/octofuss-client/server.conf
mag 02 12:27:14 test1 twistd3*Z: WARNING
mag 02 12:32:14 test1 twistd3*®”: WARNING USING CONF FILE /etc/octofuss-client/server.conf
mag 02 12:32:14 test1 twistd3*2”: WARNING

#15 - 06/08/2017 09:37 AM - Christopher R. Gabriel
- Assignee changed from Michael Guggenberg to Christopher R. Gabriel

Verificato oggi in aula la non esecuzione del task. Da verificare su installazione di test. Oltre che per gli upgrade, risulta anche per le stampante
(postazione di Gianni), sospetto problema o di risoluzione inversa del client sul dns oppure scheduler di octofuss-client.

#16 - 06/08/2017 10:02 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Elena Grandi

Vedi #291, non avendo il server configurato non sincronizza i dati.
#17 - 06/08/2017 10:04 AM - Christopher R. Gabriel

- Related to Segnalazione #291: Configurazione server added

#18 - 06/08/2017 02:44 PM - Elena Grandi

- Assignee changed from Elena Grandi to Michael Guggenberg

Uploadata ora la versione 8.0.10 di fuss-client che configura l'indirizzo del server dove octofuss-client se lo aspetta.

Dopo aver aggiornato i vari client e rilanciato fuss-client riprovando dovrebbe andare.

#19 - 06/23/2017 11:39 AM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to TRUELITE

fuss-client 8.0.12

cat /etc/octofuss-client/server
[Server]
address =

#20 - 06/23/2017 11:51 AM - Christopher R. Gabriel
- Assignee changed from TRUELITE to Michael Guggenberg

Octofuss-client legge /etc/fuss-client prima di /etc/octofuss-client (vedi #291)

Su questo ticket I'oggetto e’ lo smaltimento della coda, quello e’ verificato?

#21 - 06/26/2017 08:49 AM - Michael Guggenberg

testl dist-upgrade 2017-06-23 09:05:16 -- 1
test2 dist-upgrade 2017-06-23 09:06:23 -- 1

root@test1-i386:~# cat /etc/fuss-client/server.conf
[Server]
address = 192.168.0.1

root@test1-i386:~# cat /etc/octofuss-client/server.conf

[Server]
address =

#22 - 06/26/2017 08:51 AM - Christopher R. Gabriel

Quindi e' corretto, come dicevo octofuss-client legge prima /etc/fuss-client/server.conf dove la configurazione €' esistente.

#23 - 06/28/2017 08:06 AM - Michael Guggenberg

Chiudo come risolto.
#24 - 06/28/2017 08:06 AM - Michael Guggenberg

- Status changed from Commenti to Risolto

- Assignee changed from Michael Guggenberg to TRUELITE
- % Done changed from 0 to 100
